roasOS
API referenceResearch

Get Research job status

GET
/v1/research/jobs/{id}/status

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/research/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "data": {    "schema_version": "research-job@1",    "kind": "research_job",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "capability_id": "research.facebook-company-ads@1",    "maximum_credits": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "status": "quoted",    "cache_disposition": "live_fetch",    "reserved_credits": 0,    "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",    "expires_at": "2019-08-24T14:15:22Z"  }}